Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.bridge.svg12
Class DefaultXBLManager.XBLRecord

    java.lang.Object
      org.apache.batik.bridge.svg12.DefaultXBLManager.XBLRecord

Enclosing class:
  DefaultXBLManager

    protected class DefaultXBLManager.XBLRecord

extends Object

XBL record.

Field Summary
`BindableElement` | `boundElement` The bound element that owns this shadow tree, if this node is an XBLOMShadowTreeElement.
`DefaultXBLManager.XblChildNodes` | `childNodes` The xblChildNodes NodeList for this node.
`XBLOMContentElement` | `contentElement` The content element which caused this node to appear in the flattened tree.
`XBLOMDefinitionElement` | `definitionElement` The definition element that applies to this element.
`boolean` | `linksValid` Whether the next/previous links are valid.
`Node` | `nextSibling` The following sibling in the flattened tree.
`Node` | `node` The node.
`Node` | `previousSibling` The previous sibling in the flattened tree.
`DefaultXBLManager.XblScopedChildNodes` | `scopedChildNodes` The xblScopedChildNodes NodeList for this node.

Constructor Summary
`protected` | `DefaultXBLManager.XBLRecord()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### node

    public Node node

  The node.

### childNodes

    public DefaultXBLManager.XblChildNodes childNodes

  The xblChildNodes NodeList for this node.

### scopedChildNodes

    public DefaultXBLManager.XblScopedChildNodes scopedChildNodes

  The xblScopedChildNodes NodeList for this node.

### contentElement

    public XBLOMContentElement contentElement

  The content element which caused this node to appear in the flattened tree.

### definitionElement

    public XBLOMDefinitionElement definitionElement

  The definition element that applies to this element.

### boundElement

    public BindableElement boundElement

  The bound element that owns this shadow tree, if this node is an XBLOMShadowTreeElement.

### linksValid

    public boolean linksValid

  Whether the next/previous links are valid.

### nextSibling

    public Node nextSibling

  The following sibling in the flattened tree.

### previousSibling

    public Node previousSibling

  The previous sibling in the flattened tree.

Constructor Detail

### DefaultXBLManager.XBLRecord

    protected DefaultXBLManager.XBLRecord()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.